Mac更新10.15.5后svn报错The subversion command line tools are no longer provided by Xcode.

The subversion command line tools are no longer provided by Xcode.

手贱更新了一下Mac系统,然后svn就不能用了,具体报错如下:

53/3bfacd82aa2d09063d297d9de8cfbf.png

The subversion command line tools are no longer provided by Xcode.

百度查了一下网上的方法:

解决方案:
sudo rm -rf /Library/Developer/CommandLineTools

xcode-select --install

无效!无效!无效!

提示:不能安装该软件,因为目前不可在软件服务器上使用它

一直不行

https://developer.apple.com/download/more/ 这个 页面下载了最新的,还是安装不了。

又去查看苹果系统更新日志:https://developer.apple.com/documentation/macos-release-notes/macos-catalina-10_15-release-notes

75/4ce8fc0dcae4432f4bec909aae36f3.png

执行xcode-select --install还是提示:不能安装该软件,因为目前不可在软件服务器上使用它

最后去谷歌了一下,发现有大神说重新安装了一下svn即可,我安装的时候无法用brew,一直下载失败(估计是镜像问题,我没有切换成国内的镜像),只好手动下载,然后放到homebrew缓存目录里安装:

45/24eeefd912551905a85d36e7a88fbd.png


重新安装成功之后就可以正常使用了

db/de7436de309c2871c94485449900ec.png

以后还是管好手,不要乱升级系统[思考][思考][思考][思考][思考][思考]



评论